Package org.apache.commons.imaging.formats.tiff.constants

## Class TiffDirectoryConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.constants.TiffDirectoryConstants

-     public final class TiffDirectoryConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DIRECTORY_TYPE_DIR_0` |
    `static int` | `DIRECTORY_TYPE_DIR_1` |
    `static int` | `DIRECTORY_TYPE_DIR_2` |
    `static int` | `DIRECTORY_TYPE_DIR_3` |
    `static int` | `DIRECTORY_TYPE_DIR_4` |
    `static int` | `DIRECTORY_TYPE_EXIF` |
    `static int` | `DIRECTORY_TYPE_GPS` |
    `static int` | `DIRECTORY_TYPE_INTEROPERABILITY` |
    `static int` | `DIRECTORY_TYPE_MAKER_NOTES` |
    `static int` | `DIRECTORY_TYPE_ROOT` |
    `static int` | `DIRECTORY_TYPE_SUB` |
    `static int` | `DIRECTORY_TYPE_SUB0` |
    `static int` | `DIRECTORY_TYPE_SUB1` |
    `static int` | `DIRECTORY_TYPE_SUB2` |
    `static int` | `DIRECTORY_TYPE_THUMBNAIL` |
    `static int` | `DIRECTORY_TYPE_UNKNOWN` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIRECTORY_TYPE_UNKNOWN

          public static final int DIRECTORY_TYPE_UNKNOWN

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_ROOT

          public static final int DIRECTORY_TYPE_ROOT

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_SUB

          public static final int DIRECTORY_TYPE_SUB

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_SUB0

          public static final int DIRECTORY_TYPE_SUB0

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_SUB1

          public static final int DIRECTORY_TYPE_SUB1

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_SUB2

          public static final int DIRECTORY_TYPE_SUB2

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_THUMBNAIL

          public static final int DIRECTORY_TYPE_THUMBNAIL

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_EXIF

          public static final int DIRECTORY_TYPE_EXIF

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_GPS

          public static final int DIRECTORY_TYPE_GPS

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_INTEROPERABILITY

          public static final int DIRECTORY_TYPE_INTEROPERABILITY

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_MAKER_NOTES

          public static final int DIRECTORY_TYPE_MAKER_NOTES

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_DIR_0

          public static final int DIRECTORY_TYPE_DIR_0

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_DIR_1

          public static final int DIRECTORY_TYPE_DIR_1

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_DIR_2

          public static final int DIRECTORY_TYPE_DIR_2

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_DIR_3

          public static final int DIRECTORY_TYPE_DIR_3

      See Also:
        Constant Field Values

    - #### DIRECTORY_TYPE_DIR_4

          public static final int DIRECTORY_TYPE_DIR_4

      See Also:
        Constant Field Values